* 0.5.64
- Update or Delete TS Uninstaller from registry on update and uninstallation
== M Rayhan Ferdous Faisal <m.rayhan@samsung.com> 2025-03-24
* 0.5.61
- Show Repository URL on Configuration for local packages
== Farhat Aman <f.aman@samsung.com> 2024-12-30
* 0.5.60
- Removed troubleshoot button and added new icons for issue reporter
== Anirban Barua <anirban.b1@partner.samsung.com> 2024-10-01
* 0.5.59
- Dibs version up
== Vivek Ellur <vivek.ellur@samsung.com> 2024-09-21
* 0.5.58
- Dibs version up
== Farhat Aman <f.aman@samsung.com> 2024-09-12
* 0.5.57
- Dibs version up
== Farhat Aman <f.aman@samsung.com> 2024-05-28
* 0.5.56
- Apply CQM changes
== Farhat Aman <f.aman@samsung.com> 2024-05-28
* 0.5.55
- Apply patches from tizen_studio_5.5 branch
== Adhavan M <adhavan.m@samsung.com> 2024-04-01
* 0.5.52
- Dibs version up
== Amlan Chowdhury <amlan.c@samsung.com> 2024-02-16
* 0.5.51
- Dibs version up
== Amlan Chowdhury <amlan.c@samsung.com> 2024-02-15
* 0.5.50
- Add Tizen
== Sangwook Lee <sangwook96.lee@samsung.com> 2023-05-17
* 0.5.49
- Add TizenHeaded
== Sangwook Lee <sangwook96.lee@samsung.com> 2023-04-17
* 0.5.40
- Dibs version up
== Aditya Aswani <a.aswani@samsung.com> 2023-02-28
* 0.5.39
- Add null check condition
== Sangwook Lee <sangwook96.lee@samsung.com> 2022-08-08
* 0.5.38
- Auto install prerequisites while installing package via pm-cli
== Aditya Aswani <a.aswani@samsung.com> 2022-76-15
* 0.5.37
- Robot simulator failing to install since its size is greater than 2GB
== Aditya Aswani <a.aswani@samsung.com> 2022-06-08
* 0.5.36
- Update log4j to 2.17.0 version
== Manish Rathod <manish.r@samsung.com> 2021-12-20
* 0.5.35
- Update log4j to 2.16.0 version
== Vivek Ellur <vivek.ellur@samsung.com> 2021-12-16
* 0.5.34
- Update log4j
== Viek Ellur <vivek.ellur@samsung.com> 2021-12-04
* 0.5.33
- Update exclusion list for coverage
== Adhavan M <adhavan.m@samsung.com> 2021-09-14
* 0.5.32
- Fix for alternative download list not visible in ubuntu
== Vivek Ellur <vivek.ellur@samsung.comn> 2021-06-28
* 0.5.30
- VersionUp
== Vivek Ellur <vivek.ellur@samsung.comn> 2021-06-14
* 0.5.29
- VersionUp
== Sangwook Lee <sangwook96.lee@samsung.comn> 2021-03-04
* 0.5.28
- VersionUP
== sangwook lee<sangwook96.lee@samsung.com> 2020-12-18
* 0.5.27
- Updating Proxy Button height
== Yash Kapoor <yash.kapoor@samsung.com> 2020-12-02
* 0.5.26
- Updating Button heights for sub window buttons
== Yash Kapoor <yash.kapoor@samsung.com> 2020-11-26
* 0.5.25
- Apply button action update for snapshot dissapearing issue
== Yash Kapoor <yash.kapoor@samsung.com> 2020-11-25
* 0.5.24
- Modified startTime for analytics
== Nandan Goel <nandan.goel@samsung.com> 2020-11-24
* 0.5.23
- Added IDE Analytics
== Aditya Aswani <a.aswani@samsung.com> 2020-11-05
* 0.5.21
* 0.5.22
- [SPTSDKUX-5676]Fixed text cut issue in License Dialog.
== Vivek Ellur<vivek.ellur@samsung.com> 2020-11-03
* 0.5.21
- Fixed Snapshot not appearing after distribution is changed
== Yash Kapoor <yash.kapoor@samsung.com> 2020-10-20
* 0.5.20
- Version up to test self update
== Aditya Aswani <a.aswani@samsung.com> 2020-10-09
* 0.5.19
- Version up to test self update
== Aditya Aswani <a.aswani@samsung.com> 2020-10-08
* 0.5.18
- Incorrect ifelse
== Aditya Aswani <a.aswani@samsung.com> 2020-10-08
* 0.5.17
- Version Up
== Aditya Aswani <a.aswani@samsung.com> 2020-10-08
* 0.5.16
- Added log to identify java being used while self updating
== Aditya Aswani <a.aswani@samsung.com> 2020-10-07
* 0.5.15
- Fixed invalid thread access blocking self update of PM
== Aditya Aswani <a.aswani@samsung.com> 2020-10-07
* 0.5.14
- Updated Selection process for snapshot in config window
== Yash Kapoor <yash.kapoor@samsung.com> 2020-10-06
* 0.5.13
- Modified windows install script not to edit registry
== Aditya Aswani<a.aswani@samsung.com> 2020-08-03
* 0.5.12
- Remove dependency on registry to get appdat local path
== Aditya Aswani<a.aswani@samsung.com> 2020-07-31
* 0.5.11
- Merge changes from 3.5 and version up
== Vivek Ellur<vivek.ellur@samsung.com> 2020-07-30
* 0.5.10
- Support downgrade of snapshot without installing any package
== Vivek Ellur<vivek.ellur@samsung.com> 2020-06-11
* 0.5.9
- Version up
== Aditya Aswani<a.aswani@samsung.com> 2020-05-07
* 0.5.8
- Version up
== Aditya Aswani<a.aswani@samsung.com> 2020-05-07
* 0.5.7
- Sync with 3.5
- Auto install any c prerequisites in Ubuntu
== Aditya Aswani<a.aswani@samsung.com> 2020-05-07
* 0.5.6
- Embedded jdk support
== Vikash Minz<vikash.minz@samsung.com> 2020-03-02
* 0.5.5
- Installing extension SDK sometimes fails on first attempt
== Aditya Aswani<a.aswani@samsung.com> 2020-01-10
* 0.5.4
- Revert "Removing signing process"
== Aditya Aswani<a.aswani@samsung.com> 2019-09-25
* 0.5.3
- Add SUNGPLv2.0 license
== sangwook lee<sangwook96.lee@samsung.com> 2019-09-03
* 0.5.2
- Added jaxb for cli and uninstaller
- Reverting jaxb-ri dependency related changes
- Added jaxb-ri jars to the PackageManager executable jar
- Removing signing process
- Fixed self updater issue in JDK 11
- OpenJDK 11 support
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2019-06-07
* 0.5.1
- [GITHUB-ISSUE] File name with space couldn't install (macOS 10.13)
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2019-05-20
* 0.5.0
- Branch out and minor version up for tizen_studio_3.5.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-11-16
* 0.4.38
- Merge from develop.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-10-01
* 0.4.36
- Fixed SVACE issues.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-09-19
* 0.4.34
- SVace Fixes
- OpenJDK support
- Add warning label in package manager to close IDE and Tools before installation.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-09-11
* 0.4.33
- Fixed mac os ide process name.
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2018-08-28
* 0.4.32
- Add warning label in package manager to close IDE and Tools before installation.
== Karthik Bhat <kv.bhat@samsung.com> 2018-08-21
* 0.4.31
- Version Up
== Aditya Aswani <a.aswani@samsung.com> 2018-08-17
* 0.4.30
- Version Up
== Aditya Aswani <a.aswani@samsung.com> 2018-08-16
* 0.4.29
- Fix https download issue.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-06-20
* 0.4.27
- [SPTSDKUX-5440] Fixed window close issue during uninstallation.
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2018-05-22
* 0.4.26
- [SPTSDKUX-5433] Enable downloading packages that use https protocol
== Karthik Bhat <kv.bhat@samsung.com> 2018-05-03
* 0.4.25
- [SPTSDKUX-5424] Fixed issue of package manager getting opened more than once.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-04-25
* 0.4.24
- [SPTSDKUX-5408] Fixed package manager dialog box issues in windows for Java9.
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2018-04-10
* 0.4.23
- [SPTSDKUX-5399] Fixed progress bar alignment issue in windows for Java9.
== Gaurang Khanwalkar <g.khanwalkar@samsung.com> 2018-03-05
* 0.4.22
- Fix Java9 compatiblity issues.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-02-02
* 0.4.21
- [SPTSDKUX-5347] Fixed Auto update on package repository remains activated issue.
== Vivek Ellur <vivek.ellur@samsung.com> 2018-01-17
* 0.4.18
- Fixed update check process for deprecated package. 
== SeungBum Kim <sb0729.kim@samsung.com> 2017-12-01 
* 0.4.17
- Add double quotation to install and remove script for windows.
== Moonkyu Kang <moon.kang@samsung.com> 2017-11-29
* 0.4.16
- [SPTSDKUX-5204] Modified prerequisite checker for Java 9
== Taekgoo Kim <taekgoo.kim@samsung.com> 2017-11-23
* 0.4.15
- Detecting Java 9 add options for executing package-manager on Java 9.
== Moonkyu Kang <moon.kang@samsung.com> 2017-11-22
* 0.4.14
- Changed dialog attribute when necessary prerequisite.
- Changed uninstaller icon image because an executable built with "NSIS" is recognized as a virus.
- Removed unnecessary NSIS script code.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-11-17 
* 0.4.13
- Bug fix that when user installs the advanced item in Extension, the advanced item is displayed abnormally.
- Changed message when inplace install is ended. 
== Moonkyu Kang <moon.kang@samsung.com> 2017-11-15 
* 0.4.12
- Merged with opensrc branch.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-11-07 
* 0.4.11
- added 'extern' to global variables 
== Moonkyu Kang <moon.kang@samsung.com> 2017-10-19 
* 0.4.10
- Bug fix that can not run self-update when parameters are shoter than expected.
== Moonkyu Kang <moon.kang@samsung.com> 2017-10-17
* 0.4.9
- Fix bug that can not work post-installation function.
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-29
* 0.4.8
- Fix bug that package manager is shutdown by itself when network is not available.
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-28
* 0.4.7
- Fixed load fail extension and alternative when tizen studio installed path include special character.
- Change running process when using image file on main/extension repository.
- Removed ok button enable/disable scenario on configuration dialog. 
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-26
* 0.4.6
- Added ctrl+c/break and quit handler for package-manager-cli.exe
- Refactor os_stubs for package-manager-cli.cpp
== Taekgoo Kim <taekgoo.kim@samsung.com> 2017-09-11
* 0.4.5
- Fixed open cmd windows when run package-manager.exe with argument.
- Add The 3-Clause BSD License file.
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-06
* 0.4.4
- Change shell close timing when automatic-installation.
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-04
* 0.4.3
- Add function to display error message when use automatic installation.
== Moonkyu Kang <moon.kang@samsung.com> 2017-09-01
* 0.4.2
- Fix bug that can not run tools when automatic installation function called.
== Moonkyu Kang <moon.kang@samsung.com> 2017-08-31
* 0.4.1
- Add prototype of in-place install function.
== Moonkyu Kang <moon.kang@samsung.com> 2017-08-31
* 0.3.46
- Version up for merging source code.
== Moonkyu Kang <moon.kang@samsung.com> 2017-06-20
* 0.3.45
- Add boilerplate to each java code.
- Remove unused import of all java file.
- Change java version check process for opnejdk in package-manager-uninstaller.bin of linux.
- Add CFBundlePackageType in ".plist" for mac.(corresponded to dibs build server)
== SeungBum Kim <sb0729.kim@samsung.com> 2017-05-19
* 0.3.43
- Add pass argument to package manager when self-update start.
- Change Tizen SDK agreement.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-04-12
* 0.3.42
- Fix bug that can not order C-selected group components which are nested.
- Modify saving profile histroy function to enable all profile when only tools are installed.
== Moonkyu Kang <moon.kang@samsung.com> 2017-04-10
* 0.3.41
- enable to run in MBCS environment.
- enable to run package-manager-cli.exe with absolute path.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-03-28
* 0.3.40 
- Remove NSIS packaging for PMCLI windows
- Apply error message for disconnected network.
- Add prevent install package that has "c-prevent-install" key in meta.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-03-21
* 0.3.39
- Remove NSIS packaging for windows PMCli
- Change the build script for removing NSIS packaging
== Taekgoo Kim <taekgoo.kim@samsung.com> 2017-03-10
* 0.3.38
- Modify for nsis running path in windows32(already adapt windowns64 code) - support MBCS user data path.
- Add function to load installed profile when profile history file does not exist.
- Add function to save user selected profile. Remove showRT,MOBILE,WEARABLE,TV method in CommonTreeView. Create showProfile method in CommonTreeView.
- add function to uninstall all files in installed directory without package-manager-cli.exe.old in windows.
- Reformat snapshot time parsing
- Remove cli command check function in package-managercli.bin 
- Change run script using file name in windows.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-03-10
* 0.3.37
- Add prevent change to not supported MBCS mode in repository/distribution/snapshot when installed in MBCS path.
- Tizen RT Profile type filtering
== SeungBum Kim <sb0729.kim@samsung.com> 2017-02-20
* 0.3.35
- Adjust MBCS(1. cli argument pass for MBCS, 2.system commnad process)
== SeungBum Kim <sb0729.kim@samsung.com> 2017-02-07
* 0.3.34
- Adjust Muti-byte character for package manager.
== SeungBum Kim <sb0729.kim@samsung.com> 2017-02-06
* 0.3.33
- Add java path check for pm.
- Add set environment using GTK3 when package manager and uninstaller run on linux.
- Change package server address check process when clicked apply button in configuration.
- Sort distribution list in configuration.
- Remove icon gap profile icon.(change layout frame)
== SeungBum Kim <sb0729.kim@samsung.com> 2017-01-24
* 0.3.32
- Change ordering for popup dialog z-order.
== Moonkyu Kang <moon.kang@samsung.com> 2016-12-12
* 0.3.31
- Roll back build.windows script for update failure of package-manager-cli.
== Taekgoo Kim <taekgoo.kim@samsung.com> 2016-12-05
* 0.3.30
- Fix bug that can not update package in cli.
* 0.3.29
- Add C-ExtProfile for sdk-utils.
* 0.3.28
- Change SDKInfo class to instance class.
- Add command self-update for updating package-manager-cli it self.
- Remove checking commands which required self-update or not.
- Adjust gui for mac on configuration.
- Fix bug that uninstaller can not compare name between "keystore" and "keystore (copy)".
- Bugfix for configuration when only changed extension settings in configuration.
- Add environment value of running java home when run script in windows.
- Review/Modify of package-manager-cli.
- Bugfix for display invalid list number on extra modification result cli command.
* 0.3.27
- Add function to avoid running new package manager while another two package manager were already running.
- Bugfix do not run uninstalling.
* 0.3.26
- Change method for checking duplicated package manager process.
- Change for checking licnese agreement logic in cli when install repository is changed.
- Add initializing component mananger for check eula by cli.
- Fix bug that can not get has license status in checking remote component.
- Change loading extension server logic in Package Manager --> Remove future method.
- Send error message when executing install script is failed.
- Remove duplicated printed log for download.
- Add function to avoid extracting file twice.
- Change used single instance core class to creatable multiinstance.
- Change gui for combine sdk-image and repository server in configuration.
- Fixed to IDE Launched on finishing package manager although "Launch the Tizen Studio" check box is not set.
- Add function to reset status of component when some packages were not installed or were installed by other component.
- Change object title size in information dialog.
- change win packaging from NSIS to Win32.
== SeungBum Kim <taekgoo.kim@samsung.com> 2016-11-17
* 0.3.25
- Change windows packaging for package-manager-cli from NSIS to Win32
== Taekgoo Kim <taekgoo.kim@samsung.com> 2016-11-14
* 0.3.24
- Fixed to IDE Launched on finishing package manager although "Launch the Tizen Studio" check box is not set.
* 0.3.23
- Change log information.(Add or move log and remove unnecessary log). 
- Add on_top property to dialog(progress in initialize).
- Remove invalid code(comment code) and line arrange.(configuration, progress code, dialog)
- Change line feed make force in information info text.
- Add sdk-utils cache update code when cli install, update and uninstall is end.
- Add self-update in cli mode.
- Add help messages for CLI Extenison function.
- Modify return code when fail case in cli command.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-10-27
* 0.3.22
-Bugfix for enable ok button in configuration when extension list item to activate on sdk-image.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-09-30
* 0.3.21
- Apply changed gui guide(configuration auto update icon and info dialog)
== SeungBum Kim <sb0729.kim@samsung.com> 2016-09-28
* 0.3.20
- Fixed show cut character when wrap string in information dialog.(Adapt only windows)
== SeungBum Kim <sb0729.kim@samsung.com> 2016-09-20
* 0.3.19
- Add description for fake meta package.
- Do not check duplicated running package manager when self-updated.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-09-20
* 0.3.18
- Fixed GUI issueds.
- Apply changed user string.
- Add a noti popup for deleting emul image when updating.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-09-19
* 0.3.17
- Change license string.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-26
* 0.3.16
- Add function caculate scrollbar size in license agreement dialog.
- Adjust size for cut object in License top title, Inside trouble shooting dialog, all check box And progress status string.
- Adjust size for custom checkbox in configuration.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-26
* 0.3.15
- Fixed for do not show when invalid address check in proxy setting. And prevent duplicated selection in information dialog.
- Add function to read all children license agreement in parent component.
- Changed multi-license arrow bottons(up/down) and applied OK button for just-read-case of the license text.
- Change background color for edit box on extension repository add dialog.
- Fix concurrent modification exception when component call hasLicense api.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-23
* 0.3.14
- Change Configuration User String: Package Sever -> Package Repository
- Change size for inside trouble shooting guide text area.
- Do not display license agreement icon when no installable children which have license agreement.
- Add function to load remote information when uninstall in cli
- Apply changed image for configuration and update available icons.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-22
* 0.3.13
- Apply design change.
- Set "Arial" to default font in windows.
- No longer supports openjdk.
== Moonkyu Kang <moon.kang@samsung.com> 2016-08-22
* 0.3.12
- Change font size of Header area for uninstaller
- Change configuration autoupdate checkbox image when disable and move location of error label configuration.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-16
* 0.3.11
- Do not show license agreement dialog when component does not have license agreement.
- Add function to show license agreement icon when component is parent component.
- Show sdk image info box in configuration when inforamaion exist. 
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-11
* 0.3.10
- Rollback inforamtion dialog size(570 to 450)
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-11
* 0.3.9
- Add function to load system font in windows.
- Change Info window's horizontal size and others.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-11
* 0.3.8
- Apply gui guide for info dialog, progressbar, configuration, main status, license and update button.
- Prevent to launch two or more Package Managers simultaneously.
- Add return java return code in cli mode.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-11
* 0.3.7
- Remove function to check running package manager.
== Moonkyu Kang <moon.kang@samsung.com> 2016-08-02
* 0.3.6
-  Add function to check running package manager,uninstaller,cli before start package manager.
- bug fix that can not exit program when tizen studio is not installed.
- do not show exit dialog when tizen studio is running.
== Moonkyu Kang <moon.kang@samsung.com> 2016-08-02
* 0.3.5
- Change new tool change image.
- Fix exit popup defects
- Bugfix cut string and diffent bg color in 'view installed packages' component(only occure macos) 
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-01
* 0.3.4
- Change information dialog title. (sdk information -> information)
- Initialize extension information before initialize component manager
- Fix feature: launching Tizen Studio when quitting
- re-calculate size of exit popup to launch Tizen Studio
== SeungBum Kim <sb0729.kim@samsung.com> 2016-08-01
* 0.3.3
- Prevent duplicated notification popup wehn fail or cancel case.
- add 'Cancel' dialog button at the bottom, and add reutine to process it.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-07-28
* 0.3.2
- Add PackageManager exit popup to choose launch Tizen Studio
- Applay scenario and text for ui guide in configuration network and notification dialog
- Modify Main/Extension tab size and font size and font size.
- Change tizen studio license agreement text.
- Add Package Manager / Uninstaller jar remove in temporary directory.
- Fix do not display null message when change repository.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-07-28
* 0.3.1
- Apply new license agreement policy to a single package.
- Change ubuntu installs script.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-07-26
* 0.3.0
- Change project structure(remove old update manager ui and divide ui with core)
- Change package name from 'update manager' to 'package manager'.
- Change notification popup background image.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-07-26
* 0.2.63
- Change minimum java version 1.6 to 1.8.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-22
* 0.2.62
- Change shortcut directory in windows.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-21
* 0.2.61
- Change shortcut directory in windows.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-21
* 0.2.60
- Change shortcut directory in windows.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-21
* 0.2.59
- Change shortcut directory in windows.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-21
* 0.2.58
- Added extension fields in cache that using sdk-utils
- Change sdk-utils save directory path(prevent duplicate cache)
- Add remove sdk-utils cache file when uninstall Tizen-SDK.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-07-18
* 0.2.57
- Add loading image resources to builduninstaller.xml
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-14
* 0.2.56
- Fix out of index error in custom progress dialog.
- Do not show update button when no updatable component.
- Change tab title "Extend SDK"  to "Extension SDK"
- Set bold font when Extension SDK is expanded in Configuration dialog.
- Remove border for sdk image information in configuration dialog.
- Reposition of error message in configuration dialog.
- Changed the license agreement window title, applied bold font to the profile name
- Change Package Manager and Uninstaller title.
== Moonkyu Kang <moon.kang@samsung.com> 2016-07-13
* 0.2.55
- Apply the gui guide to the license agreement window
- Apply the gui guide to the inside trouble shooing window
- Apply folding/unfolding feature to the Configuration window
== Taekgoo Kim <taekgoo.kim@samsung.com> 2016-07-13
* 0.2.54
- Apply configuation gui guide.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-06-23
* 0.2.53
- for sdk-utils cache file save utf-8 string format.
- for sdk-utils cache save path change(.info to .update-manager)
== SeungBum Kim <sb0729.kim@samsung.com> 2016-06-21
* 0.2.52
- Apply for sdk-utils api using cli command.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-06-20
* 0.2.51
- Apply GUI feedback package manager and uninstaller.
- Reopen code when exit button click process.
- Reopen progress tab update refresh process.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-06-10
* 0.2.50
- Fix profile icon display in main tree.
- Fix install / remove / update reset process.
- Apply loading animation resource for guide.
- Fix extend column width that scroll gap size in common tree.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-06-01
* 0.2.49
- Fix flickering in all/installed toggle button
== Moonkyu Kang <moon.kang@samsung.com> 2016-06-01
* 0.2.48
- Fix a bug for all profile icons changed to tools icon
- Fix a bug to blinking text in progress bar
- Change COLOR_SELECTED_TREE_ROW to #CDE9FF
== Taekgo Kim <taekgoo.kim@samsung.com> 2016-06-01
* 0.2.47
- Apply GUI feedback package manager and uninstaller.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-31
* 0.2.46
- Bugfix that tree item using occur exception when dispose.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-27
* 0.2.45
- Apply GUI feedback package manager progress tab.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-27
* 0.2.44
- Change keystore checkbox state to false as default in wizard uninstaller
== Taekgoo Kim <taekgoo.kim@samsung.com> 2016-05-27
* 0.2.43
- Swap profile filter imanges of nor and over
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-27
* 0.2.42
- Apply GUI feedback uninstaller, package manager
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-27
* 0.2.41
- Apply GUI feedback uninstaller, package manager
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-25
* 0.2.40
- Apply GUI Guide uninstaller
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-25
* 0.2.39
- Added new resource path when ant build run.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-24
* 0.2.38
- Added new resource path when ant build run.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-24
* 0.2.37
- Apply GUI Guide installer.
- Apply GUI Guide uninstaller.
- Apply GUI Guide package-manager.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-24
* 0.2.36
- Modify keystore force delete problem when do not checked keystore checkbox in uninstaller.
- SDK Utils api support.
- Added font build path.
- Add custom message dialog to uninstaller and then change to it.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-09
* 0.2.35
- Add image path in uninstaller build xml
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-04
* 0.2.34
- Apply UI Guide Package Manage progress tab
- Add api for sdk-utils
- Apply GUI Guide for Wizard Uninstaller
== SeungBum Kim <sb0729.kim@samsung.com> 2016-05-04
* 0.2.33
- Apply function to re-install package manager and uninstaller in Wizard UI.
== Moonkyu Kang <moon.kang@samsung.com> 2016-04-20
* 0.2.32
- Applied to Uninstaller UI Guide.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-15
* 0.2.31
- Modify build.xml for Wizard UI.
== Moonkyu Kang <moon.kang@samsung.com> 2016-04-14
* 0.2.30
- Added administrator manifest to cli Update Manager.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-14
* 0.2.29
- Chanaged cli Update Manager make by NSIS to Bat script.
- Modified notification dialog message and operation.
== SeungBum Kim <sb0729.kim@samsung.com> 2016-04-11
* 0.2.28
- Added information message when "tizen-sdk-data/keystore" directory exist.
- Add init package manager when check version in image.
- Modify method "removeSDKLegacyCLI" : do not  delete keystore directory in data directory.
- Replace method PathUtil.remove() to PathUtil.removeExceptDirectory()
- Modified overlapping dialog when occur several components fail during process install, uninstall or update.
== Moonkyu Kang <moon.kang@samsung.com> 2016-03-24
* 0.2.27
- Added check selected item count in case do not exist any repository item. 
- Add function to remove short menu when uninstall all, refresh server and uninstaller.
== SeungBum Kim<sb0729.kim@samsung.com> 2016-03-21 
* 0.2.26
- Add function to display error message for componentwhich has no license agreement.
- Added "installController.init" when run cli uninstall command.
== Moonkyu Kang <moon.kang@samsung.com> 2016-03-11
* 0.2.25
- Modified display invalid version when run cli command
- Modified do not run "uninstall --all" cli command 
== SeungBum Kim <sb0729.kim@samsung.com> 2016-03-09
* 0.2.24
- Improved CLI update manager's Usability: help message, command/option guide, package dependency
- Add profile filter for hiding non-exists profiles
- Remove update manager's version info from title bar
- Change notification message when using 32bit JRE on 64bit Windows
- Keep checked status of extra repository
== Moonkyu Kang <moon.kang@samsung.com> 2016-03-08
* 0.2.23
- Temporary remove function to validate duplicated or invalid extension.
== Moonkyu Kang <moon.kang@samsung.com> 2016-02-05
* 0.2.22
- Added check java bit when start program.
- Add function to validate selected group component when add extension.
- Modified main view is disabled when dialog pop up.
- Display parent item in show-pkgs commands.
- Add function to display tree when show nstalled packages.
- Add function to install or uninstall root component in cli.
- Added Uninstaller version information in information dialog
- Moved Update Manger version information from title bar to information dialog
- Add function to preserve installation of component in repository is lower than installed.
- Check component version when update or install from repository with same distribution id.
- Remove unused script and modify do not return error when xdg-desktop-menu is not exists while making or removing shortcut in ubuntu.
- Fix null point when network is not reachable.
- Improvement to parse user argument in cli mode.
- Add function to check selected group when uninstall component.
- Add error message when invalid command use.
- Remove option "--all" in update command.
- Add function to remove all child component of selected component in installed tab view.
- Add function to check duplicated component in extension and main  repository.
- Add function to check install/update target is available when main repo or extension are not connected.
- Add function to check component added after same package is installed from extension.
- Modify for fixed column space.
- Hide profile filter button when not exist profile component.
- Add logger null check.
- Modify CLI Help and error message.
- Modify result of "show-pkgs"
- Modify HELP message by VOC.
- Modify show-info result in CLI.
== Moonkyu Kang <moon.kang@samsung.com> 2016-02-05
* 0.2.21
- Modify signing script for windows.
- Add alert message when user click update button in installed tab while uninstalling
== Moonkyu Kang <moon.kang@samsung.com> 2016-01-21
* 0.2.20
- Fix bug that nullpoint exception occured when check comptUninstaller when server refresh.
== Moonkyu Kang <moon.kang@samsung.com> 2016-01-08
* 0.2.19
- Fixed a bug that installing packages failed intermittently when multiple installation
== DongHee Yang <donghee.yang@samsung.com> 2016-01-08
* 0.2.18
- Cannot load update manager version in cli uninstall.
- Can adjust dialog layout.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-01-06
* 0.2.17
- Improved the stability of downloading SDK packages
- Fixed a bug that retrying function is workinig incorrectly.
- Changed the shortcut name to 'Update Manager"
- Fixed a bug that updating extension packages are not working
- Modified the messages of Java installation
- Modified to check Update-Manager process when uninstalling SDK
- Modified to check Uninstaller process when installing/updating/removing
- Modified not to install the packages when using outdated repository
- Modified to choose 'Uninstaller' when migrating from old SDK
== DongHee Yang <donghee.yang@samsung.com> 2016-01-06
* 0.2.16
- Fix bug that the state of 'Extra' install button is changed incorrectly when installing all sub items of 'Extra'
== DongHee Yang <donghee.yang@samsung.com> 2015-12-30
* 0.2.15
- Fix snapshot is set auto updated when old snapshot is selected.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-29
* 0.2.14
- Fix bug that do not refresh remove button when update completed.
- Check running process with process id in Windows.
- Fix malfunction in update button status.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-28
* 0.2.13
- Change title of product from "SDK Manager" to "Update Manager"
- Fix can not refresh component status when server changed.
- Modify update all process in cli
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-24
* 0.2.12
- Set the same title of uninstaller.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-23
* 0.2.11
- add check to running process in installed page when update all button is clicked.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-23
* 0.2.10
- Change title of SDK Manager
- Change initialize dialog title in uninstaller.
- Do not create window when created notifierDialog.
- Fix error in cli uninstall all
- Fixed a bug that wrong app-name of uninstaller shows in menu on MacOS
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-22
* 0.2.9
- Fixed a bug that quiting SDK manager invoke SWT.error
- Fixed a bug that symbolic link is not delete when uninstalling
- Fixed a bug that text in progress dialog is overflowed
- Fixed a bug that changing distribution does not reset progress view
- Fixed a bug that progress button image is broken by clicking on windows
== DongHee Yang <donghee.yang@samsung.com> 2015-12-18
* 0.2.8
- Fixed a bug that installing failed when retrying downloading
- Modify uninstall all process in installController
- Fixed a bug that the progress of same extension package exists more than two in the progress table
- Fixed a bug that installing all ext-packages is not working
- Modified the selection color of component-tree
- Modified the selection of progress table to be disabled
- Fix cannot remove shortcut when server change
== DongHee Yang <donghee.yang@samsung.com> 2015-12-17
* 0.2.7
- Fixed not to support row selection in progress table
- Fix a bug that installed packages view show wrong tree structure
- Fixed a bug that 'Install' button is disabled even though'Accept' button is checked in license-components
- Fixed not to be flickering on tab button
== DongHee Yang <donghee.yang@samsung.com> 2015-12-16
* 0.2.6
- Fixed to increase the progress of installation of ext pkgs
- Increase installation time of extension packages by downloading them using multi-threads
- Fixed a bug that updating gets pended when more than 15 jobs are working
== DongHee Yang <donghee.yang@samsung.com> 2015-12-16
* 0.2.5
- Fix can input tab value in manual proxy setting in ProxyConfigView
- Do not open multiple dialogs of info and trouble shooting.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-16
* 0.2.4
- Fixed a bug that multiple dialogs are created 
- Modified the messages text
- Fixed to wrap text in inside-trouble-shooting dialog
- Fixed the alignment of text of search bar in inside-trouble-shooting dialg
- Modified to tooltip text
- Fixed a bug that 'Installing' icon of group node is clickable
== DongHee Yang <donghee.yang@samsung.com> 2015-12-16
* 0.2.3
- Modified to use "SDK Manager"
- Modified to use "Warning" message when uninstalling SDK
- Modify uninstall all package process for performance
== DongHee Yang <donghee.yang@samsung.com> 2015-12-15
* 0.2.2
- Modified the design layout of uninstaller
- Modified to cancel the related packages with no dependency when canceled
== DongHee Yang <donghee.yang@samsung.com> 2015-12-11
* 0.2.1
- Modified not to use 'cache' on URLConnection
- Fixed a bug that update-manager get down when many jobs
- Modified to cancel only dependent components when canceled
== DongHee Yang <donghee.yang@samsung.com> 2015-12-10
* 0.2.0
- Reduced the size of update-manager
- Fixed to display remaining time correctly while updating SDK.
- Improved the performance of uninstallation
- Modified to display notification after whole progress can be done or each failure case
== DongHee Yang <donghee.yang@samsung.com> 2015-12-10
* 0.1.9
- Check monitor group is null for uninstaller.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-12-07
* 0.1.8
- Fixed not the remain time to be up/down frequently
- Fixed a bug that the color of progress bar edge is wrong
- Fixed not to update 'Deprecated' components
- Modified the action message when canceled by user
- Modified to make 'Cancel','Retry' button disabled when clicked
- Modify uninstall progress
== DongHee Yang <donghee.yang@samsung.com> 2015-12-07
* 0.1.7
- Fix uninstall progress.
== Moonkyu Kang <moon.kang@samsung.com> 2015-12-06
* 0.1.6
- Fixed the text of error messages
== DongHee Yang <donghee.yang@samsung.com> 2015-12-04
* 0.1.5
- Fixed not to hang when initialization.
- Fixed unistaller not to be flickered when showing progress
== DongHee Yang <donghee.yang@samsung.com> 2015-12-04
* 0.1.4
- Fixed a bug that installig native ide failed
== DongHee Yang <donghee.yang@samsung.com> 2015-12-04
* 0.1.2
- Added uninstaller
- Supported the remaing time for requested operation
- Supported 'Retry' for failed operations 
== DongHee Yang <donghee.yang@samsung.com> 2015-12-04
* 0.1.1
- Fixed a bug that self-update failed
== DongHee Yang <donghee.yang@samsung.com> 2015-12-01
* 0.1.0
- Applied new ui/ux (experimental)
- Added inside-trouble-shooting (experimental)
- Added log-viewer (experimental)
- Supported profile-type-filter (experimental)
- Supported advanced-filter (experimental)
- Supported the cancellation of install/remove/update (experimental)
== DongHee Yang <donghee.yang@samsung.com> 2015-11-30
* 0.0.112
- Check null in install controller.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-25
* 0.0.111
- modify build script for auto test
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-24
* 0.0.110
- Modify update process to uninstall first before update.
- Modified not to write invalid duplicated logs.
- Compatamize for pakcage installed file list.
- Can patch installed files list each package by OS and bit.
- Fix to refresh update page table.
- Patch for incompleted install package file lists.(ubuntu 32/64,macos)
- Added remove script patch for base-ide-product.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-13
* 0.0.109
- Fix uninstall order.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-12
* 0.0.108
- Add function to delete deprecated meta which is not a repo meta.
- Modify propert parser to write multi-line character (" .")
- Modified to update all when there are selected group and internal dependent packages which are not installed
- ADd checking distribution information is valid.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-12
* 0.0.107
- Does not remove distribution.info temporary file after parsing.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-10
* 0.0.106
- Do not display deprecated packages if real package is in package list.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-10
* 0.0.105
- Modify description text layout for macos.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-10
* 0.0.104
- Add version info to Info.list
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-09
* 0.0.103
- Fix can not load distribution when auto update is disabled. 
- Add function to check image has same distribution id when install or update package in cli mode.
- Add message to can not delete update-manager directory when uninstall in windows in cli mode. 
- Add function to update all before install component in cli mode.
- Remove single package update. only work all package update.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-06
* 0.0.102
- Modify makeshortcut script to delete old shortcut which has same target.
- Change messages for update components in all component page.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-05
* 0.0.101
- fix to expand tree item before installing.
- Modified to update updatable packages before installing
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-05
* 0.0.100
- skip first selection combopackageserver in windows.
- Save distribution id when local id is not exists.
== Moonkyu Kang <moon.kang@samsung.com> 2015-11-04
* 0.0.99
- Sync for tizen_sdk.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-11-04
* 0.0.96
- Fixed a bug that extension package cannot be installed when loading SDK image.
- Can support pre-defined repository as known as alternatives.
- Can support repository identifier.
- Can execute update-manager in specific path which has space on Windows system.
- Change Update-manager UI.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-11-04
* 0.0.95
- Can normalize sdk paths and rewrite to file.(sdk.info)
- Modify timeout for poor network.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-10-15
* 0.0.94
- Fix null point exception when fail to get system proxy.
== Moonkyu Kang <moon.kang@samsung.com> 2015-10-15
* 0.0.93
- Fixed a bug that progress dialog is not shown when initializing
- Fixed a bug that clean up is not working when self-update
== DongHee Yang <donghee.yang@samsung.com> 2015-10-13
* 0.0.92
- Additional, clean up extension cache if its type is 'server'.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-10-14
* 0.0.91
- Can catch runtime exception while downloading.
- Clean up updatemanager executable temporary directory.
- Clean up unused extension caches while initializing.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-10-14
* 0.0.90
- Changed the timeout value to 15 sec, 20 sec
== DongHee Yang <donghee.yang@samsung.com> 2015-10-13
* 0.0.89
- Fixed a bug that installing with some extension file failed
- Changed the read timeout value to 15 sec
- Modified to retry 3 times when reading URL timed out
== DongHee Yang <donghee.yang@samsung.com> 2015-10-13
* 0.0.88
- Fixed a bug that the responding time of 'Confirm' button on extra view is too long
- Modified to refresh ext-package when 'Confirm' button is pressed
- Improved the time for initializing
- Fixded a bug that installing ext-packages with zip failed
- Fixed a bug that connecting with 'PAC' proxy setting is not working
- Show the network error in all component page when network is not avaliable
== DongHee Yang <donghee.yang@samsung.com> 2015-10-13
* 0.0.87
- Fixed a bug that the ext-repo URL is not shown on MAC
- Improved the launch time by increasing the performance of querying package information
== DongHee Yang <donghee.yang@samsung.com> 2015-10-02
* 0.0.85
- Add function to check close event when dialog is opened.
== Moonkyu Kang <moon.kang@samsung.com> 2015-10-01
* 0.0.84
- Modify help message for cli.
- Modify message for prerequisites.
== Moonkyu Kang <moon.kang@samsung.com> 2015-10-01
* 0.0.83
- Modify HELP file for CLI Mode. Change package options rules.
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-30
* 0.0.82
- Fixed a bug that text of progress dialog is overflowed.
- Fixed a bug that text-alignment of treeviewer is incorrect.
- Fix bug that swt error occured when update done in update page.
- Bug fix that update all button is disabled when license agreement button is clicked.
- Add check license agreement when update all button is clicked.
- Fix bug that can edit profile name in Component detail view and Extra repo detail view.
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-30
* 0.0.81
- fix bug that can click update tab when installing in all package page.
- Change character encoding to "utf-8" when read and write property 
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-25
* 0.0.80
- Add prerequisites check in CLIMODE.
- Add check running process in CLI mode.
- remove invisible package from repository package set.
- Control c-visible field. If a package has c-visible field and its value is "true", update-manager does not care about it.
- Fixed a bug that 'Confirm' button is not disabled when invalid input in SDK image installation
- Fixed a bug that initial "Target-Snapshot" is not shown
- Fixed a bug that "Auto Update" is wrong after loading image
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-25
* 0.0.78
- Fixed a bug that "install" button is shown after updating failed
- Modify removeshortcut.vbs to remove short.
- Add function to check pre-requisites when install and update component.
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-24
* 0.0.77
- Fixed a bug that loading ext repo file failed on windows
- Fixed a bug that license text is not shown when license exists in meta
== DongHee Yang <donghee.yang@samsung.com> 2015-09-23
* 0.0.76
- Fixed bug about compatibility.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-09-23
* 0.0.75
- Support the compatibility from Tizen 2.4b
- Modified to remove tailing slash('/') when loading ext-xml
- Modified to checkg running process on MAC
- Modified to show the summary of running processes
- Modified not to show sdb process
== Yongsung Kim <reuentar.kim@samsung.com> 2015-09-22
* 0.0.74
- Fixed bug that can not uninstall when only top meta is installed.
- Fixed a bug that asking license agreement happens twice.
- Fixed a bug that the status of profile-node'button is not changed when removing its sub-packages.
- Can support compatibility.(Tizen 2.4b -> Tizen 2.4)
== Yongsung Kim <reuentar.kim@samsung.com> 2015-09-22
* 0.0.73
- Fixed a bug that the confirm dialog for agree EULA is not shown when batch-install
== DongHee Yang <donghee.yang@samsung.com> 2015-09-21
* 0.0.71
- Fix bug that sdk.info disapear when server change.
- Fix bug that can not uninstall when package list has dangling meta packages.
- Added "all packages" button images
- Changed "Components" to "Packages" in user string
- Fixed a bug that refreshing package server happens even if no changes.
- Proxy setting compatibility.
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-21
* 0.0.70
- Added 'Install'/'Update' buttons to non-leaf package row in pacakge tree-view
== DongHee Yang <donghee.yang@samsung.com> 2015-09-21
* 0.0.69
- Fixed a bug that shortcut name includes 'alias' on MACOS
== DongHee Yang <donghee.yang@samsung.com> 2015-09-18
* 0.0.68
- Fixed some bugs.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-09-17
* 0.0.67
- Avoid failure of writing xml file.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-09-17
* 0.0.66
- Add function to add extension repository.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-09-17
* 0.0.65
- Fixed a bug about installing sdk using ImageFile
== DongHee Yang <donghee.yang@samsung.com> 2015-09-16
* 0.0.63
- Fixed a bug that "Update All" doesn't install dependent packages
== DongHee Yang <donghee.yang@samsung.com> 2015-09-11
* 0.0.62
- Modified the message for closing update-manager.
== DongHee Yang <donghee.yang@samsung.com> 2015-09-07
* 0.0.61
- Fix can not install with conflicts.
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-04
* 0.0.60
- Modify HELP for cli.
- set system proxy false in networkproxy.
- Add cli mode in installer and add pre-typed user password for tsudo.
- change snapshot prototype function in cli mode.
- Fix that cannot get software license agreement when target component is installed in cli.
== Moonkyu Kang <moon.kang@samsung.com> 2015-09-02
* 0.0.59
- Support cli function
- Fixed a bug that update-manager failed to launch if no connection
- Auto license agreement by selected group.
- If installation of selected group failed, parent and another selected group component do not need to work.
- Fixed not to execute installation while downloading
- Modify function to remove legacy sdk.
- Fixed a bug that tooltip of license agreement is activated at wrong position
== Moonkyu Kang <moon.kang@samsung.com> 2015-08-28
* 0.0.57
- Can make VERSION file for self updating.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-17
* 0.0.55
- Can make VERSION file for self updating.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-17
* 0.0.53
- Can load update manager version after self update.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-17
* 0.0.52
- Fix can not refresh when proxy setting is changed.
- Prevented unlimited updatemanager execution when self-updating.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-17
* 0.0.51
- Ignored invalid options.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-17
* 0.0.50
-Set disable auto-update checkbox when network is not reachable.
== Moonkyu Kang <moon.kang@samsung.com> 2015-08-17
* 0.0.49
- Add class ImageFileInfo for saving selected sdk image information.
- Do not set distribution when network is not reachable.
- Can execute update-manager binary(jar) when self updating.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-12
* 0.0.48
- Can make VERSION file and display version information.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-11
* 0.0.47
- Add error message for installation is stoped by other componenet installation failed.
- Fixed some bugs.
- Protect to quit windows while update-manager is working.
- Modify HELP message in cli mode.
- Save image origin information when select image installation.
- Disable update all button when update page tab clicked while updating.
- Enable update all btn when snapshot is changed.
- Fix server refresh with image.
- If component installing or updating failed, child component(selected group) could not keep working.
- Can display tooltip text "License agreement" when mouse point is on the key icon.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-08-10
* 0.0.46
-Temporary change PackageManager.getInstallablePackageWithInstalledPackage
== Moonkyu Kang <moon.kang@samsung.com> 2015-07-29
* 0.0.45
- Fixed the notifying message on component detailed view
== DongHee Yang <donghee.yang@samsung.com> 2015-07-24
* 0.0.44
- Fixed a bug that collpse/expand invokes swt.error
- Can display image file path on label.
- Can save current server type
- Show progress in a sec.
- Can get refined image origin repository url.
== DongHee Yang <donghee.yang@samsung.com> 2015-07-24
* 0.0.43
- Refactored installing process and added more monitor.progress
== DongHee Yang <donghee.yang@samsung.com> 2015-07-24
* 0.0.42
- Fixed a bug that selecting duplicated target metas when install
- Fix to do not select latest snapshot of temp snapshot.
- Fixed the sentence for notifying to select component.
- Fix flick buttons when install,update or uninstall is progress.
- Can check SDK image orgin
== DongHee Yang <donghee.yang@samsung.com> 2015-07-24
* 0.0.41
- Disable update all btn after update all btn is clicked.
- Fixed a bug that swt error happens
- Do not refresh when just click tab button
- Modified to create shortcut correctly 
== DongHee Yang <donghee.yang@samsung.com> 2015-07-23
* 0.0.40
- Fixed a bug that the error dialog of java-check on MACOS is not working
== DongHee Yang <donghee.yang@samsung.com> 2015-07-20
* 0.0.39
- Fixed a bug that deprecated component have 'updatable' button
- Fixed a bug that extra item moved to 'Deprecated' when disconnected
- Add alert running process in linux.
- Change image extraction method when user select sdk image zip file for change repository.
- Fixed a bug that uninstalled item show 'install' icon button even though connection to repository is not available
- Can set proxy configuration.
- Fixed a bug that making short-cut doesn't control spaces in installed path
- Update manager do not show swt error when run in command line.
- Modified to make short-cut even though there is no desktop.directory on Ubuntu
- Fixed the algorithm of clean-up packages after removing component
- Do not uninstall when change to newer snapshot in same repository and distribution.
- Separated the self-update module from core-controller
- Changed the temp directory for self-update to '{HOME}/.update-manager/self-update'
- Remove double quote when create shortcut in linux.
- Fixed a bug that error tooltip shows multi-lined messages incorrectly
- Fixed a bug that updating component with selected group failed
- Fix install option to check temp snapshot.
- Can refresh repository when network is reconnected.
- Removed jar-bundler
== DongHee Yang <donghee.yang@samsung.com> 2015-07-20
* 0.0.38
- Fixed a bug that refreshing tree from image failed after uninstalling.
- Modified to show 'retry' dialog when deleting SDK failed.
- Removed unnecessary waiting cursor.
- Can update update-manager itself using SDK image.
- Fixed a bug that removing extension packages failed.
- Killing process when install or update or uninstall.
- Can validate duplicated extra name, repo url and correct extra server.
- Fixed to show updatable ext-packages on update view if exists.
- Modified not to show top level package name on update view if the name is same as itself.
- Check running process in windows.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-14
* 0.0.36
- Update some notice messages for the user.
- ADD function to install and update by image in cli mode.
- Fixed a bug that trying to delete file after opening it
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-13
* 0.0.35
- Modified to install/remove components automaticall by dependency(selected-group)
- Modified messages more user friendly 
== DongHee Yang <donghee.yang@samsung.com> 2015-07-08
* 0.0.34
- Cli show image information with only package_list_xxx.
- Can execute 'update-manager' installed path include space.
- Can execute 'update-manager' on ubuntu and macos.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-07
* 0.0.33
- Added "selected-group" (In-Progress)
- Added missing files
- Fixed a bug that calculationg select-group is incorrect
- Fixed a bug that unhandled exceptions about button events
- Fixed a bug that removing select-group is not working
- Add more logs and remove unnecessary logs.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-07
* 0.0.32
- Add Cli update all and some components.
- Add show repository information with selected repository,distribution,snapshot.
- Can execute 'update-manager' on MacOS
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-07
* 0.0.31
- Fix checking java to exit when user select not to run update manager.
- Modified to externalize message text.
- Modified java version check on windows.
- Detect OS bit on windows.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-06
* 0.0.30
- Do not display java checking dialog anymore after confirmed 'yes'.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-06
* 0.0.29
- Modified to remove 'deprecated' when all its items are removed
- Fixed a bug that checking reverse packages for removing is incorrect
- When update by itself, it does not request java checking dialog twice.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-06
* 0.0.28
- Can make and execute shortcut on ubuntu.
- Modified to show error messages correctly
- SetSucceed before uninstall done called.
- Do not remove menu shortcut in ubuntu when user do not want to delete installed directory when uninstall all process.
- Add install progress when pkg already installed.
- Fixed a bug that 'Uninstall All' removes incorrect components
- Fixed a bug that 'Uninstall All' is not working when component tree is changed
- Add Cli install All components.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-03
* 0.0.27
- Can display top of tree item label after table item on update view.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-07-01
* 0.0.26
- Can make relative directories.
- Cannot work page tab button while working(installation, uninstallation).
- Fixed a bug that 'tooltip' view is flickered when mouse over.
- Fixed to show 'download' error message on tooltip.
- Fixed a bug that some error messages for installing are notshown.
- Fixed a bug that some error messages are now shown.
- Add signing process on building.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-30
* 0.0.25
- Can execute update manager on MacOS.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-30
* 0.0.24
- Fix update manger can run linux with executable path has empty space in directory name.
== Moonkyu Kang <moon.kang@samsung.com> 2015-06-30
* 0.0.23
- Remove create config file in install script.
- Fixed to update related items when updating/installing on tree
== Moonkyu Kang <moon.kang@samsung.com> 2015-06-30
* 0.0.22
- Added image-extract cache.
- Modifying to fix updating table view problem.
- Modified to update related items when updating.
- Add log for checking SDK installation.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-30
* 0.0.21
- Modified to check duplication of ext-repo URL when adding.
- Modify get uninstallable list which can detect reverse dependency.
- Fix info tooltip display wrong repository.
- Can remove trash shortcuts.
- Moved ProgressMonitor From Installing/Uninstalling process.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-29
* 0.0.20
- Fixed a bug that update-failed component is removed from table.
- Modify uninstall done process.
- Remove installed directory when installed files are not exists.
- Remove data directory when user click to delete installed directory in uninstall all process.
- Can update by itself on windows.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-26
* 0.0.19
- Can execute post script on ubuntu.
- Modify Registry.getInstalledPath and getDataPath to set first loaded value.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-26
* 0.0.18
- Modified to refresh Component View when changing proxy.
- Fixed a bug that 'Uninstall All' cannot remove all packages.
- Remove unused method.
- Fixed to remove 'Update' icon button after removing component.
- Fixed self update functionality.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-26
* 0.0.17
- Remove signing process in windows because of build error.
- Modify cli-mode uninstall process.
- Move cli old files to package cli.old(save files until cli mode is completed).
- Removed the old configuration for supporting Multi-SDK
- Removed unnecessary class file: InstConfig
- Fixed to use 'sdk.info' for getting installed path
- Removed duplicates on 'package/changelog'
- Fixed a bug that "Uninstall All" is not working when no network
- Fixed a bug that 'Configuration' button is not working after loading image
- Fixed the label for proxy settings
- Modified to sort tree items by alphabetic order
- Fixed a bug that ext-packages are shown on main tree
- Fixed the table layout on ext-repo configuration dialog
- Fixed a bug that scroll bar is placed over buttons on MAC
- Can handle space in path
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-25
* 0.0.16
- Add function to uninstall all in cli mode.
- Modify cli uninstall all function to ask to user for removing installed path.
- Add config option menu in cli mode.
- Add none-interactive mode.
- Modified to load configuration without network.
- Add cli mode uninstall all components.
- Add message when installed packages do not exist.
- Can support update updatemanager by itself.
- Updatemanager can display updatemanager self upgrade dialog when change server or using SDK image.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-23
* 0.0.15
- Fixed the layout.
- Fix install option view which can not detect server change with no installed package.
- delete all registry when update manager close with out installed package.
- Add draft code for Update Manager CLI Mode.
- Except items which do not have display name(Lable field) from custom tree items.
- Add menu for cli updater.
- Fixed a bug that refreshing view is not workig when image installation.
- Implement CLI Updater - display information.
- Modified 'Confirm' button of image install configuration dialog to be disabled when there is no image file
- draft code for cli update - Uninstall all function.
- Can show license agreement icon on tree and table.(key icon)
- Install or update process to check and add meta which is required to update.
- Change display verion in title from - to ().
- Modify uninstall process to check uninstall meta package which has no installed dependency package.
- Fix update all button to use thread executor.
- Can display license text by auto wrapping lines.
- Modified not to check 'Updatable' when init.
- Chnage action of config install option view, if show all button not checked, do now show all list of snapshots. 
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-22
* 0.0.14
- Modified build script for making conf file.
- Modified field name InstallManager-Version -> UpdateManager-Version
- Modified style. add button in extra repo view.(BORDER -> PUSH)
- When Updatemanager is processing something, all buttons are disabled. 
- The uninstall button should be disabled when installed packages do not exist.
- Can support "Image Installation"
- Add configuration dialog title and icon.
- Adjust background color configuration dialog views.
- Fixed the layout of conf view for "use local image"
- Remove number format exepction in Package.
- Fixed the layout of "All Components" view
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-18
* 0.0.13
- Adjust configuration dialog location on main window and enabled title bar of configuration dialog.
- Modified field name 'InstallManager-Version' -> 'UpdateManager-Version'
- Mouse cursor can be displayed normal figure when point is out of table and tree.
- Mouse cursor can be wait figure when updating process on table viewer.
- Change to create symbolic link from java 7 nio to runtime.exe()
- Cannot edit description text on component detail view.
- Can display updatemanager version on title bar.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-18
* 0.0.12
- Remove system out.
== Moonkyu Kang <moon.kang@samsung.com> 2015-06-18
* 0.0.11
- Fix update manager can not unzip symbolic link.
== Moonkyu Kang <moon.kang@samsung.com> 2015-06-18
* 0.0.10
- Adjusted layout by each platform.
- Changed the newest swt libraries.(macos, win32, win64)
- Modified configration dialog shell style.
== Moonkyu Kang <moon.kang@samsung.com> 2015-06-17
* 0.0.9
- Adjust layout.
- Support config dialog.
- Improve statablity.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-17
* 0.0.7
- disabled detail viewer and chagned swt libraries.
- Changed linux swt binaries(32bit, 64bit). version(4.430)
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-15
* 0.0.6
- Fixed update manager installation script error.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-15
* 0.0.5
- Modified terms installmanager to updatemanager.
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-15
* 0.0.4
- Can display component information
== Yongsung Kim <reuentar.kim@samsung.com> 2015-06-15
* 0.0.3
- Limit installation thread in Windows.
== Moonkyu Kang <moon.kang@samsung.com> 2015-06-08
* 0.0.2
- Updatemanager can work basic functions.
== Yongsung Kim <yongsung1.kim@samsung.com> 2015-06-05
* 0.0.1
- Initialized the first update manager source in git.
== Yongsung Kim <yongsung1.kim@samsung.com> 2015-04-17
